summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2016-08-28 22:23:35 +0200
committerPatrice Clement <monsieurp@gentoo.org>2016-08-28 22:23:35 +0200
commitc595102bbd8b2de4067d50a589cef1fb04f3457c (patch)
tree2f490a8f49ae300c6d6b6cad50add178f865a819
parentapp-vim/vimcalc: add missing die. (diff)
downloadgentoo-c595102bbd8b2de4067d50a589cef1fb04f3457c.tar.gz
gentoo-c595102bbd8b2de4067d50a589cef1fb04f3457c.tar.bz2
gentoo-c595102bbd8b2de4067d50a589cef1fb04f3457c.zip
app-vim/cctree: EAPI 6 bump.
Package-Manager: portage-2.2.28
-rw-r--r--app-vim/cctree/cctree-1.61-r1.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/app-vim/cctree/cctree-1.61-r1.ebuild b/app-vim/cctree/cctree-1.61-r1.ebuild
new file mode 100644
index 000000000000..80cb57b31777
--- /dev/null
+++ b/app-vim/cctree/cctree-1.61-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: Cscope based source-code browser and code flow analysis tool"
+HOMEPAGE="https://sites.google.com/site/vimcctree/"
+LICENSE="bufexplorer.vim"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPFILES="${PN}.txt"
+
+RDEPEND="dev-util/cscope"
+
+src_prepare() {
+ # There's good documentation included with the script, but it's not
+ # in a helpfile. Since there's rather too much information to include
+ # in a VIM_PLUGIN_HELPTEXT, we'll sed ourselves a help doc.
+ mkdir doc || die
+ sed -e '/" Name Of File/,/".\+Community/!d' -e 's/^" \?//' \
+ -e 's/\(Name Of File: \)\([^.]\+\)\.vim/\1*\L\2.txt*/' \
+ ftplugin/${PN}.vim > doc/${PN}.txt || die
+
+ default
+}